Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class DisplayMode

    java.lang.Object
      org.lwjgl.opengl.DisplayMode

    public final class DisplayMode

extends java.lang.Object

This class encapsulates the properties for a given display mode. This class is not instantiable, and is aquired from the `Display. getAvailableDisplayModes()` method.

Version:
  $Revision: 2286 $ $Id: DisplayMode.java 2286 2006-03-23 19:32:21Z matzon $
Author:
  cix_foo

Constructor Summary
`DisplayMode(int width, int height)` Construct a display mode.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests for `DisplayMode` equality
`int` | `getBitsPerPixel()`
`int` | `getFrequency()`
`int` | `getHeight()`
`int` | `getWidth()`
`int` | `hashCode()` Retrieves the hashcode for this object
`java.lang.String` | `toString()` Retrieves a String representation of this `DisplayMode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisplayMode

    public DisplayMode(int width,
                       int height)

  Construct a display mode. DisplayModes constructed through the public constructor can only be used to specify the dimensions of the Display in windowed mode. To get the available DisplayModes for fullscreen modes, use Display.getAvailableDisplayModes().

  Parameters:
    `width` - The Display width.
    `height` - The Display height.
  See Also:
    `Display`

Method Detail

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### getBitsPerPixel

    public int getBitsPerPixel()

### getFrequency

    public int getFrequency()

### equals

    public boolean equals(java.lang.Object obj)

  Tests for `DisplayMode` equality

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  Retrieves the hashcode for this object

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Retrieves a String representation of this `DisplayMode`

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.